Bug 238789 - file-devel depends on %{version} but not on %{version}-%{release}
file-devel depends on %{version} but not on %{version}-%{release}
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
: EasyFix
Depends On:
  Show dependency treegraph
Reported: 2007-05-02 18:41 EDT by Robert Scheck
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-04 03:16:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-05-02 18:41:24 EDT
Description of problem:
file-devel depends on %{version} but not on %{version}-%{release}, please fix 
this with the next build of the package. There can be minor changes which could 
be incompatible after release bumping, so it's save to add %{release}, too.

Version-Release number of selected component (if applicable):

Expected results:
Please apply the following patch or better:

--- snipp ---
--- file.spec       2007-05-03 00:38:53.000000000 +0200
+++ file.spec.rsc   2007-05-03 00:39:24.000000000 +0200
@@ -24,7 +24,7 @@
 Patch23: file-4.20-REG_STARTEND.patch
 Patch24: file-4.20-unused.patch

-Requires: file-libs = %{version}
+Requires: file-libs = %{version}-%{release}
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires: zlib-devel

@@ -47,7 +47,7 @@
 %package devel
 Summary:  Libraries and header files for file development
 Group:    Applications/File
-Requires: %{name} = %{version}
+Requires: %{name} = %{version}-%{release}

 %description devel
 The file-devel package contains the header files and libmagic library
--- snapp ---
Comment 1 Martin Bacovsky 2007-07-04 03:16:26 EDT
Thanks for reporting. This issue should be fixed in RAWHIDE (file-4.21-2.fc8).

Note You need to log in before you can comment on or make changes to this bug.